/* HC_SR04 Servobesturing 
 * Voor: Beginnerscursus Arduino
 * Simon Pauw, 2016
 */

//libraries
#include <NewPing.h>
#include <Servo.h>

//definieer constanten
#define TRIGGER_PIN  2 
#define ECHO_PIN     3 
#define MAX_DISTANCE 200 

//definieer variabelen
NewPing sonar(TRIGGER_PIN, ECHO_PIN, MAX_DISTANCE); // NewPing setup of pins and maximum distance.
Servo myservo;  

void setup() {
  //begin seriele verbinding
  Serial.begin(9600); 

  //start servo
  myservo.attach(9);
}

void loop() {
  //wacht 50 ms (tussen elke meting van de HC-SR04 moet tenmisnte 29ms zitten)
  delay(50); 

  //meet afstand
  int afstand = sonar.ping_cm();

  //schrijf naar serial monitor
  Serial.print("Ping: ");
  Serial.print(afstand); // Send ping, get distance in cm and print result (0 = outside set distance range)
  Serial.println("cm");

  //pas de stand van de servo aan
  myservo.write(afstand);
}
